features:
  secondary:
    - name: "Project-level code search now reliably responsive"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/api/search.html#scope-blobs'
      reporter: joshlambert
      stage: enablement
      categories:
        - 'Global Search'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/33562'
      description: |
        Searching within a project for code is now reliably responsive, with most queries completing in under 250ms. In previous versions of GitLab, when [Advanced Global Search](https://docs.gitlab.com/ee/user/search/advanced_global_search.html) was disabled, queries which generated a high number of results could see latencies of 10 seconds or more. This represents approximately a ten-fold improvement, improving the search experience for users.

        This improvement affects both the GitLab UI as well as [project blob search API](https://docs.gitlab.com/ee/api/search.html#scope-blobs).
